VM_PAGE_CACHE(9)

NAME
vm_page_cache - move a page onto the cache queue

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
void
vm_page_cache(vm_page_t m);

DESCRIPTION
The vm_page_cache() function moves a page onto the cache queue, and removes any protection that may be set on the page. If the page is busy, wired or unmanaged then the move to the cache queue will fail. If the page is dirty the system will panic.

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.